Skip to main content
GET
/
sandboxes
/
{sandboxName}
/
previews
List Sandboxes
curl --request GET \
  --url https://api.blaxel.ai/v0/sandboxes/{sandboxName}/previews \
  --header 'Authorization: Bearer <token>'
[
  {
    "metadata": {
      "name": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "createdBy": "<string>",
      "updatedBy": "<string>",
      "displayName": "<string>",
      "resourceName": "<string>",
      "resourceType": "<string>",
      "workspace": "<string>"
    },
    "spec": {
      "customDomain": "<string>",
      "expires": "<string>",
      "port": 123,
      "prefixUrl": "<string>",
      "public": true,
      "region": "<string>",
      "requestHeaders": {},
      "responseHeaders": {},
      "ttl": "<string>",
      "url": "<string>"
    },
    "events": [
      {
        "canaryRevision": "<string>",
        "message": "Deployment successful",
        "revision": "rev-abc123",
        "status": "DEPLOYED",
        "time": "2025-01-15T10:30:00Z",
        "type": "deployment"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

sandboxName
string
required

Name of the Sandbox

Response

200 - application/json

successful operation

metadata
object
required

PreviewMetadata

spec
object
required

Preview of a Resource

events
object[]
read-only

Events happening on a resource deployed on Blaxel

status
enum<string>
read-only

Deployment status of a resource deployed on Blaxel

Available options:
DELETING,
TERMINATED,
FAILED,
DEACTIVATED,
DEACTIVATING,
UPLOADING,
BUILDING,
DEPLOYING,
DEPLOYED,
BUILT
Last modified on May 21, 2026